﻿using Sample.Models;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            var Data = new NorthwindDataContext().OrdersViews.GroupBy(g => new { g.EmployeeID, g.OrderID })
                .Select(s => new Models.OrdersView
                {
                    EmployeeID = s.Key.EmployeeID,
                    OrderID = s.Key.OrderID,
                    Freight = s.Sum(d => d.Freight)
                }).OrderBy(o => o.EmployeeID);
            ViewBag.dataSource = Data.AsEnumerable().ToList();
            return View();
        }        
    }

   
}
